Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022221
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-11-06 18:062012-11-21 06:06
ReportermaiteView Statuspublic 
Assigned Topramakrishnan 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionba1589a113f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency Packyes
Summary

0022221: Status value is showed with ** in Payment Details tab

DescriptionProblem seems to be that currently "Status" field in Payment Details tab do not references any column but is defined as Property= paymentDetails.finPayment.status
Steps To Reproduce1. Access to Sales Invoice 1000000 and navigate to its "Payment Details" tab. Open on Form view and realize that status is showed as **Payment Cleared
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0022261 newplatform Property fields are having problem when there is a validation 

-  Notes
(0054114)
sureshbabu (reporter)
2012-11-09 12:20

"**" wrongly appended to other payment status like "**Deposited not Cleared"
but in the "Payment in" window the document status rightly appear as "Deposited not Cleared"
(0054155)
pramakrishnan (developer)
2012-11-12 10:50

Test Plan 1:
Login as Openbravo/openbravo

Create a sales invoice

"Organization":F&B España - Región Norte
"Business Partner":Alimentos y Supermercados, S.A
"Document No":1000034

Create lines:
"Line":10
"Product":Cerveza Lager 0,5L
"Invoiced Quantity":10

Complete it.
Add Payment for the invoice

Navigate to the Payment Details tab of the sales invoice
Notice that the status field gets displayed properly without **
(0054201)
hgbot (developer)
2012-11-13 15:40

Repository: erp/devel/pi
Changeset: ba1589a113f81d91304c01b443eb3de027cb2148
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Nov 07 16:26:27 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ba1589a113f81d91304c01b443eb3de027cb2148 [^]

Fixed issue 22221 Status value is showed with ** in Payment Details tab

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
---
(0054205)
Sandrahuguet (developer)
2012-11-13 15:43

Code review + testing OK
(0054208)
maite (developer)
2012-11-13 16:54

verified
(0054373)
hudsonbot (developer)
2012-11-21 06:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-11-06 18:06 maite New Issue
2012-11-06 18:06 maite Assigned To => AugustoMauch
2012-11-06 18:06 maite Modules => Core
2012-11-06 18:10 maite Priority urgent => immediate
2012-11-06 18:43 maite Regression level => Production - QA Approved
2012-11-06 18:43 maite Issue Monitored: networkb
2012-11-07 16:25 pramakrishnan Assigned To AugustoMauch => pramakrishnan
2012-11-09 12:20 sureshbabu Note Added: 0054114
2012-11-12 10:49 pramakrishnan Status new => scheduled
2012-11-12 10:49 pramakrishnan fix_in_branch => pi
2012-11-12 10:50 pramakrishnan Note Added: 0054155
2012-11-12 11:07 pramakrishnan Relationship added related to 0022261
2012-11-13 15:40 hgbot Checkin
2012-11-13 15:40 hgbot Note Added: 0054201
2012-11-13 15:40 hgbot Status scheduled => resolved
2012-11-13 15:40 hgbot Resolution open => fixed
2012-11-13 15:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ba1589a113f81d91304c01b443eb3de027cb2148 [^]
2012-11-13 15:43 Sandrahuguet Note Added: 0054205
2012-11-13 16:54 maite Note Added: 0054208
2012-11-13 16:54 maite Status resolved => closed
2012-11-21 06:06 hudsonbot Checkin
2012-11-21 06:06 hudsonbot Note Added: 0054373


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker